Orders

GET /api/v3/accounts/order

Returns orders for the authenticated account (up to 100 most recent).

private_api.accounts().orders()

Response

[{
    "id": 123,
    "account_id": 456,
    "pair": "BTC_USDT",
    "amount": 1.5,
    "price": 45000.0,
    "side": "BID",
    "status": "FILLED",
    "type": "LIMIT",
    "wallet_type": "SPOT",
    "amount_canceled": 0.0,
    "amount_filled": 1.5,
    "date": "2023-09-04T12:00:00Z",
    "open_at": "2023-09-04T11:59:00Z",
    "tif": "GTC",
    "updated_at": "2023-09-04T12:01:00Z",
    "done_at": null,
    "expire_after": null,
    "stop_price": null
} ...]

Response Fields

FieldTypeDescription
idintegerorder ID
account_idintegeraccount ID
pairstringpair symbol
amountfloatbase amount
pricefloatlimit price (0 for market orders)
sidestringBID or ASK
statusstringPENDING, OPEN, FILLED, CANCELLED, PARTIAL_FILLED, PARTIAL_CANCELED, FAILED, EXPIRED, APPEAL
typestringMARKET, LIMIT, STOP_LIMIT, STOP_MARKET
wallet_typestringSPOT, CROSS_MARGIN, ISOLATED_MARGIN
amount_canceledfloatcancelled amount
amount_filledfloatfilled amount
datestringcreation timestamp (ISO8601), null if not set
open_atstringwhen the order became active (ISO8601), null if not set
tifstringtime in force: GTC, IOC, AON, FOK
updated_atstringlast update timestamp (ISO8601), null if not set
done_atstringcompletion timestamp (ISO8601), null if not set
expire_afterstringexpiration timestamp (ISO8601), null if not set
stop_pricefloatstop trigger price, null if not a stop order